#!/bin/sh

# $FreeBSD: ports/emulators/vmware/files/fakeprocfs.sh,v 1.3 2000/01/28 06:25:44 obrien Exp $

procfs="/compat/linux/proc"
[ -d $procfs ] || mkdir $procfs
if [ _$1 != _ ]; then
dir="$procfs/$1"
[ -d $dir ] && rm -rf $dir
mkdir $dir
ln -s $2 $dir/exe 
fi

printf \
"processor\t: %d\n"\
"vendor_id\t: %s\n"\
"cpu family\t: %c\n"\
"model\t\t: %d\n"\
"model name\t: %s\n" \
1 unknown 5 0 unknown \
>"$procfs/cpuinfo"

total=`sysctl -n hw.physmem` 
total=`expr $total / 1024`
free=`expr $total / 8`
used=`expr $total - $free`
shared=`expr $total / 4`
buffers=`expr $total / 4`
cached=`expr $total / 8`

swapinfo=`swapinfo -k|tail -1`
sw_total=`echo $swapinfo| awk '{print $2}`
sw_used=`echo $swapinfo| awk '{print $3}`
sw_free=`echo $swapinfo| awk '{print $4}`


printf \
"\ttotal:\tused:\tfree:\tshared:\tbuffers:\tcached\n"\
"Mem: \t%8u %8u %8u %8u %8u %8u\n"\
"Swap:\t%8u %8u %8u\n" \
`expr $total \* 1024` `expr $used \* 1024` `expr $free \* 1024` \
`expr $shared \* 1024` `expr $buffers \* 1024` `expr $cached \* 1024` \
`expr $sw_total \* 1024` `expr $sw_used \* 1024` `expr $sw_free \* 1024` \
>$procfs/meminfo

cat <<EOF >>$procfs/meminfo
MemTotal:     $total kB
MemFree:       $free kB
MemShared:     $shared kB
Buffers:       $buffers kB
Cached:        $cached kB
SwapTotal:     $sw_total kB
SwapFree:      $sw_free kB
EOF
